<mat-card>
  <mat-card-title>Register</mat-card-title>
  <mat-card-content>
    <form [formGroup]="registerForm" (ngSubmit)="submit()">
      <div>
        <label>Role:   </label>
        <mat-radio-group (change)="changeRole($event)" aria-label="Select an option" [formControl]="floatLabelControl" formControlName="role">
          <mat-radio-button [value]="role.country">Country</mat-radio-button>
          <mat-radio-button [value]="role.carrier">Carrier</mat-radio-button>
        </mat-radio-group>
      </div>
      <p></p>
      <p>
        <mat-form-field>
          <mat-label>Country</mat-label>
          <mat-select formControlName="countryId">
            <mat-option *ngFor="let country of countries" [value]="country.id">
              {{country.alpha2}} - {{country.name.en}}
            </mat-option>
          </mat-select>
        </mat-form-field>
      </p>
      <p>
        <mat-form-field>
          <input type="text" matInput placeholder="lastName" formControlName="lastName">
        </mat-form-field>
      </p>
      <p>
        <mat-form-field>
          <input type="text" matInput placeholder="firstName" formControlName="firstName">
        </mat-form-field>
      </p>
      <p>
        <mat-form-field>
          <input type="text" matInput placeholder="patronymic" formControlName="patronymic">
        </mat-form-field>
      </p>
      <p>
        <mat-form-field>
          <input type="text" matInput placeholder="Username" formControlName="userName">
        </mat-form-field>
      </p>
      <p>
        <mat-form-field>
          <mat-label>Enter your password</mat-label>
          <input [type]="hide ? 'password' : 'text'" matInput formControlName="password">
          <button mat-icon-button matSuffix (click)="hide = !hide" [attr.aria-label]="'Hide password'"
                  [attr.aria-pressed]="hide">
            <mat-icon>{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
          </button>
        </mat-form-field>
      </p>
      <p>
        <mat-form-field>
          <input type="text" matInput placeholder="Email" formControlName="email">
        </mat-form-field>
      </p>
      <p>
        <mat-form-field>
          <input type="text" matInput placeholder="Contacts" formControlName="contacts">
        </mat-form-field>
      </p>

      <ng-container *ngIf="carrierFieldsShow">
        <p>
          <mat-form-field>
            <input type="text" matInput placeholder="Organization" formControlName="organization">
          </mat-form-field>
        </p>
        <p>
          <mat-form-field>
            <input type="text" matInput placeholder="Address" formControlName="address">
          </mat-form-field>
        </p>
        <p>
          <mat-form-field>
            <input type="text" matInput placeholder="City" formControlName="city">
          </mat-form-field>
        </p>
      </ng-container>

      <!--      <p *ngIf="error" class="error">-->
      <!--        {{ error }}-->
      <!--      </p>-->
      <div class="button">
        <button type="submit" mat-button>Register</button>
      </div>

    </form>
  </mat-card-content>
</mat-card>
